Package org.bgerp.dao.expression

# Class Context

java.lang.Object
org.apache.commons.jexl3.MapContext
org.bgerp.dao.expression.Context

All Implemented Interfaces:
  `org.apache.commons.jexl3.JexlContext`, `org.apache.commons.jexl3.JexlContext.NamespaceResolver`

public class Context extends org.apache.commons.jexl3.MapContext implements org.apache.commons.jexl3.JexlContext.NamespaceResolver
Extended JEXL context, providing creation of static class contexts by full name.

      var = org.bgerp.SomeClass;
      var.someStaticMethod();

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.commons.jexl3.JexlContext

  `org.apache.commons.jexl3.JexlContext.AnnotationProcessor, org.apache.commons.jexl3.JexlContext.CancellationHandle, org.apache.commons.jexl3.JexlContext.ClassNameResolver, org.apache.commons.jexl3.JexlContext.ModuleProcessor, org.apache.commons.jexl3.JexlContext.NamespaceFunctor, org.apache.commons.jexl3.JexlContext.NamespaceResolver, org.apache.commons.jexl3.JexlContext.OptionsHandle, org.apache.commons.jexl3.JexlContext.PragmaProcessor, org.apache.commons.jexl3.JexlContext.ThreadLocal`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Context()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(String name)`
  `boolean`
  `has(String name)`
  `Object`
  `resolveNamespace(String name)`
  Resolves only top-level namespace

  ### Methods inherited from class org.apache.commons.jexl3.MapContext

  `clear, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Context

    public Context()

- ## Method Details

  - ### has

    public boolean has(String name)
    Specified by:
      `has` in interface `org.apache.commons.jexl3.JexlContext`
    Overrides:
      `has` in class `org.apache.commons.jexl3.MapContext`

  - ### get

    public Object get(String name)
    Specified by:
      `get` in interface `org.apache.commons.jexl3.JexlContext`
    Overrides:
      `get` in class `org.apache.commons.jexl3.MapContext`

  - ### resolveNamespace

    public Object resolveNamespace(String name)
    Resolves only top-level namespace
    Specified by:
      `resolveNamespace` in interface `org.apache.commons.jexl3.JexlContext.NamespaceResolver`
    Parameters:
      `name` - the namespace name, can be only `null`
    Returns:
      the context object under key `null`
    Throws:
      `UnsupportedOperationException` - if not `null` passed as name